Checks validity of the current element

- « AppendIterator::rewind

- ArrayIterator »

- PHP Manual
- AppendIterator
- Checks validity of the current element

# AppendIterator::valid

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

AppendIterator::valid — Checks validity of the current element

### Description

public AppendIterator::valid(): bool

Checks validity of the current element.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the current iteration is valid, `false` otherwise.

### See Also

- AppendIterator::current() - Gets the current value
- AppendIterator::key() - Gets the current key
- AppendIterator::next() - Moves to the next element
- AppendIterator::rewind() - Rewinds the Iterator